commit:     83858a065f0d22a90fcf884e8a0076a14c7e88a7
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Mon Jan 16 12:18:15 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 17 01:52:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=83858a06

sys-apps/s6-rc: add 0.5.3.3

The --disabled-static needs to be explicitly specified in configuration
phase otherwise static libraries are created.

Fixes: ab67779a229a ("sys-apps/s6-rc: drop IUSE="static static-libs"")
Bug: https://bugs.gentoo.org/890879
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/s6-rc/Manifest             |  1 +
 sys-apps/s6-rc/s6-rc-0.5.3.3.ebuild | 52 +++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/sys-apps/s6-rc/Manifest b/sys-apps/s6-rc/Manifest
index 7986e9d80111..f2ab4d8a5da8 100644
--- a/sys-apps/s6-rc/Manifest
+++ b/sys-apps/s6-rc/Manifest
@@ -1 +1,2 @@
 DIST s6-rc-0.5.3.2.tar.gz 99249 BLAKE2B 
5719823edf9e9bece6a3efdb5072c4555fc796c48144a0d1da52c609aef8d7437afc9c30924636891a829a307c30017a85140644fb7836b380adb8afbd49b35b
 SHA512 
72963b2aa8e338503918d063102653d392cbd701823e35f87b45d9777fd512f7ad49ab47b94df0f9e5ef50a0dad5162f6f3526fa77dfaa3afb48ad8db4097051
+DIST s6-rc-0.5.3.3.tar.gz 100554 BLAKE2B 
b7ce91c27da4ded6a18879c1034fd9b7a9dbe50b4bf81b8e7ad8c932895124f0fad2d3f96c879841e51467549ee0beef2a9d35c0231d0f4a9a8352660ee3df3e
 SHA512 
9ff86c1490c3ccb904126ad745a45628104880e04f3e95e2d899c8e5cc951d52f38885e85a4edc1f6962a741ca229aba6bf7878b1ef193efe2f307eeda8f262b

diff --git a/sys-apps/s6-rc/s6-rc-0.5.3.3.ebuild 
b/sys-apps/s6-rc/s6-rc-0.5.3.3.ebuild
new file mode 100644
index 000000000000..58f87ce13f36
--- /dev/null
+++ b/sys-apps/s6-rc/s6-rc-0.5.3.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Service manager for the s6 supervision suite"
+HOMEPAGE="https://www.skarnet.org/software/s6-rc/";
+SRC_URI="https://www.skarnet.org/software/${PN}/${P}.tar.gz";
+
+LICENSE="ISC"
+SLOT="0/$(ver_cut 1-2)"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="dev-lang/execline:=
+       dev-libs/skalibs:=
+       >=sys-apps/s6-2.11.2.0:=[execline]
+"
+DEPEND="${RDEPEND}"
+
+HTML_DOCS=( doc/. )
+
+src_prepare() {
+       default
+
+       # Avoid QA warning for LDFLAGS addition
+       sed -i -e 's/.*-Wl,--hash-style=both$/:/' configure || die
+
+       sed -i -e '/AR := /d' -e '/RANLIB := /d' Makefile || die
+}
+
+src_configure() {
+       tc-export AR CC RANLIB
+
+       local myconf=(
+               --bindir=/bin
+               --dynlibdir=/usr/$(get_libdir)
+               --libdir=/usr/$(get_libdir)/${PN}
+               --with-dynlib=/usr/$(get_libdir)
+               --with-lib=/usr/$(get_libdir)/execline
+               --with-lib=/usr/$(get_libdir)/s6
+               --with-lib=/usr/$(get_libdir)/skalibs
+               --with-sysdeps=/usr/$(get_libdir)/skalibs
+               --enable-shared
+               --disable-allstatic
+               --disable-static
+               --disable-static-libc
+       )
+
+       econf "${myconf[@]}"
+}

Reply via email to